/**
 * Copyright (c) 2000-2013 Liferay, Inc. All rights reserved.
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 */

package com.liferay.docs.guestbook.model.impl;

import com.liferay.docs.guestbook.model.Entry;
import com.liferay.docs.guestbook.model.EntryModel;
import com.liferay.docs.guestbook.model.EntrySoap;

import com.liferay.portal.kernel.bean.AutoEscapeBeanHandler;
import com.liferay.portal.kernel.exception.SystemException;
import com.liferay.portal.kernel.json.JSON;
import com.liferay.portal.kernel.lar.StagedModelType;
import com.liferay.portal.kernel.util.GetterUtil;
import com.liferay.portal.kernel.util.ProxyUtil;
import com.liferay.portal.kernel.util.StringBundler;
import com.liferay.portal.kernel.util.StringPool;
import com.liferay.portal.kernel.workflow.WorkflowConstants;
import com.liferay.portal.model.CacheModel;
import com.liferay.portal.model.impl.BaseModelImpl;
import com.liferay.portal.service.ServiceContext;
import com.liferay.portal.util.PortalUtil;

import com.liferay.portlet.expando.model.ExpandoBridge;
import com.liferay.portlet.expando.util.ExpandoBridgeFactoryUtil;

import java.io.Serializable;

import java.sql.Types;

import java.util.ArrayList;
import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * The base model implementation for the Entry service. Represents a row in the
 * &quot;GB_Entry&quot; database table, with each column mapped to a property of
 * this class.
 *
 * <p>
 * This implementation and its corresponding interface
 * {@link com.liferay.docs.guestbook.model.EntryModel} exist only as a container
 * for the default property accessors generated by ServiceBuilder. Helper
 * methods and all application logic should be put in {@link EntryImpl}.
 * </p>
 *
 * @author Rich Sezov
 * @see EntryImpl
 * @see com.liferay.docs.guestbook.model.Entry
 * @see com.liferay.docs.guestbook.model.EntryModel
 * @generated
 */
@JSON(strict = true)
public class EntryModelImpl extends BaseModelImpl<Entry> implements EntryModel {
	/*
	 * NOTE FOR DEVELOPERS:
	 * 
	 * Never modify or reference this class directly. All methods that expect a
	 * entry model instance should use the {@link
	 * com.liferay.docs.guestbook.model.Entry} interface instead.
	 */
	public static final String TABLE_NAME = "GB_Entry";
	public static final Object[][] TABLE_COLUMNS = { { "uuid_", Types.VARCHAR }, { "entryId", Types.BIGINT }, { "groupId", Types.BIGINT },
			{ "companyId", Types.BIGINT }, { "userId", Types.BIGINT }, { "userName", Types.VARCHAR }, { "createDate", Types.TIMESTAMP },
			{ "modifiedDate", Types.TIMESTAMP }, { "name", Types.VARCHAR }, { "email", Types.VARCHAR }, { "message", Types.VARCHAR },
			{ "guestbookId", Types.BIGINT }, { "status", Types.INTEGER }, { "statusByUserId", Types.BIGINT }, { "statusByUserName", Types.VARCHAR },
			{ "statusDate", Types.TIMESTAMP } };
	public static final String TABLE_SQL_CREATE = "create table GB_Entry (uuid_ VARCHAR(75) null,entryId LONG not null primary key,groupId LONG,companyId LONG,userId LONG,userName VARCHAR(75) null,createDate DATE null,modifiedDate DATE null,name VARCHAR(75) null,email VARCHAR(75) null,message VARCHAR(75) null,guestbookId LONG,status INTEGER,statusByUserId LONG,statusByUserName VARCHAR(75) null,statusDate DATE null)";
	public static final String TABLE_SQL_DROP = "drop table GB_Entry";
	public static final String ORDER_BY_JPQL = " ORDER BY entry.entryId ASC";
	public static final String ORDER_BY_SQL = " ORDER BY GB_Entry.entryId ASC";
	public static final String DATA_SOURCE = "liferayDataSource";
	public static final String SESSION_FACTORY = "liferaySessionFactory";
	public static final String TX_MANAGER = "liferayTransactionManager";
	public static final boolean ENTITY_CACHE_ENABLED = GetterUtil.getBoolean(
			com.liferay.util.service.ServiceProps.get("value.object.entity.cache.enabled.com.liferay.docs.guestbook.model.Entry"), true);
	public static final boolean FINDER_CACHE_ENABLED = GetterUtil.getBoolean(
			com.liferay.util.service.ServiceProps.get("value.object.finder.cache.enabled.com.liferay.docs.guestbook.model.Entry"), true);
	public static final boolean COLUMN_BITMASK_ENABLED = GetterUtil.getBoolean(
			com.liferay.util.service.ServiceProps.get("value.object.column.bitmask.enabled.com.liferay.docs.guestbook.model.Entry"), true);
	public static long COMPANYID_COLUMN_BITMASK = 1L;
	public static long GROUPID_COLUMN_BITMASK = 2L;
	public static long GUESTBOOKID_COLUMN_BITMASK = 4L;
	public static long NAME_COLUMN_BITMASK = 8L;
	public static long STATUS_COLUMN_BITMASK = 16L;
	public static long UUID_COLUMN_BITMASK = 32L;
	public static long ENTRYID_COLUMN_BITMASK = 64L;
	
	/**
	 * Converts the soap model instance into a normal model instance.
	 *
	 * @param soapModel
	 *            the soap model instance to convert
	 * @return the normal model instance
	 */
	public static Entry toModel(EntrySoap soapModel) {
		if (soapModel == null) {
			return null;
		}
		
		Entry model = new EntryImpl();
		
		model.setUuid(soapModel.getUuid());
		model.setEntryId(soapModel.getEntryId());
		model.setGroupId(soapModel.getGroupId());
		model.setCompanyId(soapModel.getCompanyId());
		model.setUserId(soapModel.getUserId());
		model.setUserName(soapModel.getUserName());
		model.setCreateDate(soapModel.getCreateDate());
		model.setModifiedDate(soapModel.getModifiedDate());
		model.setName(soapModel.getName());
		model.setEmail(soapModel.getEmail());
		model.setMessage(soapModel.getMessage());
		model.setGuestbookId(soapModel.getGuestbookId());
		model.setStatus(soapModel.getStatus());
		model.setStatusByUserId(soapModel.getStatusByUserId());
		model.setStatusByUserName(soapModel.getStatusByUserName());
		model.setStatusDate(soapModel.getStatusDate());
		
		return model;
	}
	
	/**
	 * Converts the soap model instances into normal model instances.
	 *
	 * @param soapModels
	 *            the soap model instances to convert
	 * @return the normal model instances
	 */
	public static List<Entry> toModels(EntrySoap[] soapModels) {
		if (soapModels == null) {
			return null;
		}
		
		List<Entry> models = new ArrayList<Entry>(soapModels.length);
		
		for (EntrySoap soapModel : soapModels) {
			models.add(toModel(soapModel));
		}
		
		return models;
	}
	
	public static final long LOCK_EXPIRATION_TIME = GetterUtil.getLong(com.liferay.util.service.ServiceProps
			.get("lock.expiration.time.com.liferay.docs.guestbook.model.Entry"));
	
	public EntryModelImpl() {
	}
	
	@Override
	public long getPrimaryKey() {
		return _entryId;
	}
	
	@Override
	public void setPrimaryKey(long primaryKey) {
		setEntryId(primaryKey);
	}
	
	@Override
	public Serializable getPrimaryKeyObj() {
		return _entryId;
	}
	
	@Override
	public void setPrimaryKeyObj(Serializable primaryKeyObj) {
		setPrimaryKey(((Long) primaryKeyObj).longValue());
	}
	
	@Override
	public Class<?> getModelClass() {
		return Entry.class;
	}
	
	@Override
	public String getModelClassName() {
		return Entry.class.getName();
	}
	
	@Override
	public Map<String, Object> getModelAttributes() {
		Map<String, Object> attributes = new HashMap<String, Object>();
		
		attributes.put("uuid", getUuid());
		attributes.put("entryId", getEntryId());
		attributes.put("groupId", getGroupId());
		attributes.put("companyId", getCompanyId());
		attributes.put("userId", getUserId());
		attributes.put("userName", getUserName());
		attributes.put("createDate", getCreateDate());
		attributes.put("modifiedDate", getModifiedDate());
		attributes.put("name", getName());
		attributes.put("email", getEmail());
		attributes.put("message", getMessage());
		attributes.put("guestbookId", getGuestbookId());
		attributes.put("status", getStatus());
		attributes.put("statusByUserId", getStatusByUserId());
		attributes.put("statusByUserName", getStatusByUserName());
		attributes.put("statusDate", getStatusDate());
		
		return attributes;
	}
	
	@Override
	public void setModelAttributes(Map<String, Object> attributes) {
		String uuid = (String) attributes.get("uuid");
		
		if (uuid != null) {
			setUuid(uuid);
		}
		
		Long entryId = (Long) attributes.get("entryId");
		
		if (entryId != null) {
			setEntryId(entryId);
		}
		
		Long groupId = (Long) attributes.get("groupId");
		
		if (groupId != null) {
			setGroupId(groupId);
		}
		
		Long companyId = (Long) attributes.get("companyId");
		
		if (companyId != null) {
			setCompanyId(companyId);
		}
		
		Long userId = (Long) attributes.get("userId");
		
		if (userId != null) {
			setUserId(userId);
		}
		
		String userName = (String) attributes.get("userName");
		
		if (userName != null) {
			setUserName(userName);
		}
		
		Date createDate = (Date) attributes.get("createDate");
		
		if (createDate != null) {
			setCreateDate(createDate);
		}
		
		Date modifiedDate = (Date) attributes.get("modifiedDate");
		
		if (modifiedDate != null) {
			setModifiedDate(modifiedDate);
		}
		
		String name = (String) attributes.get("name");
		
		if (name != null) {
			setName(name);
		}
		
		String email = (String) attributes.get("email");
		
		if (email != null) {
			setEmail(email);
		}
		
		String message = (String) attributes.get("message");
		
		if (message != null) {
			setMessage(message);
		}
		
		Long guestbookId = (Long) attributes.get("guestbookId");
		
		if (guestbookId != null) {
			setGuestbookId(guestbookId);
		}
		
		Integer status = (Integer) attributes.get("status");
		
		if (status != null) {
			setStatus(status);
		}
		
		Long statusByUserId = (Long) attributes.get("statusByUserId");
		
		if (statusByUserId != null) {
			setStatusByUserId(statusByUserId);
		}
		
		String statusByUserName = (String) attributes.get("statusByUserName");
		
		if (statusByUserName != null) {
			setStatusByUserName(statusByUserName);
		}
		
		Date statusDate = (Date) attributes.get("statusDate");
		
		if (statusDate != null) {
			setStatusDate(statusDate);
		}
	}
	
	@JSON
	@Override
	public String getUuid() {
		if (_uuid == null) {
			return StringPool.BLANK;
		} else {
			return _uuid;
		}
	}
	
	@Override
	public void setUuid(String uuid) {
		if (_originalUuid == null) {
			_originalUuid = _uuid;
		}
		
		_uuid = uuid;
	}
	
	public String getOriginalUuid() {
		return GetterUtil.getString(_originalUuid);
	}
	
	@JSON
	@Override
	public long getEntryId() {
		return _entryId;
	}
	
	@Override
	public void setEntryId(long entryId) {
		_entryId = entryId;
	}
	
	@JSON
	@Override
	public long getGroupId() {
		return _groupId;
	}
	
	@Override
	public void setGroupId(long groupId) {
		_columnBitmask |= GROUPID_COLUMN_BITMASK;
		
		if (!_setOriginalGroupId) {
			_setOriginalGroupId = true;
			
			_originalGroupId = _groupId;
		}
		
		_groupId = groupId;
	}
	
	public long getOriginalGroupId() {
		return _originalGroupId;
	}
	
	@JSON
	@Override
	public long getCompanyId() {
		return _companyId;
	}
	
	@Override
	public void setCompanyId(long companyId) {
		_columnBitmask |= COMPANYID_COLUMN_BITMASK;
		
		if (!_setOriginalCompanyId) {
			_setOriginalCompanyId = true;
			
			_originalCompanyId = _companyId;
		}
		
		_companyId = companyId;
	}
	
	public long getOriginalCompanyId() {
		return _originalCompanyId;
	}
	
	@JSON
	@Override
	public long getUserId() {
		return _userId;
	}
	
	@Override
	public void setUserId(long userId) {
		_userId = userId;
	}
	
	@Override
	public String getUserUuid() throws SystemException {
		return PortalUtil.getUserValue(getUserId(), "uuid", _userUuid);
	}
	
	@Override
	public void setUserUuid(String userUuid) {
		_userUuid = userUuid;
	}
	
	@JSON
	@Override
	public String getUserName() {
		if (_userName == null) {
			return StringPool.BLANK;
		} else {
			return _userName;
		}
	}
	
	@Override
	public void setUserName(String userName) {
		_userName = userName;
	}
	
	@JSON
	@Override
	public Date getCreateDate() {
		return _createDate;
	}
	
	@Override
	public void setCreateDate(Date createDate) {
		_createDate = createDate;
	}
	
	@JSON
	@Override
	public Date getModifiedDate() {
		return _modifiedDate;
	}
	
	@Override
	public void setModifiedDate(Date modifiedDate) {
		_modifiedDate = modifiedDate;
	}
	
	@JSON
	@Override
	public String getName() {
		if (_name == null) {
			return StringPool.BLANK;
		} else {
			return _name;
		}
	}
	
	@Override
	public void setName(String name) {
		_columnBitmask |= NAME_COLUMN_BITMASK;
		
		if (_originalName == null) {
			_originalName = _name;
		}
		
		_name = name;
	}
	
	public String getOriginalName() {
		return GetterUtil.getString(_originalName);
	}
	
	@JSON
	@Override
	public String getEmail() {
		if (_email == null) {
			return StringPool.BLANK;
		} else {
			return _email;
		}
	}
	
	@Override
	public void setEmail(String email) {
		_email = email;
	}
	
	@JSON
	@Override
	public String getMessage() {
		if (_message == null) {
			return StringPool.BLANK;
		} else {
			return _message;
		}
	}
	
	@Override
	public void setMessage(String message) {
		_message = message;
	}
	
	@JSON
	@Override
	public long getGuestbookId() {
		return _guestbookId;
	}
	
	@Override
	public void setGuestbookId(long guestbookId) {
		_columnBitmask |= GUESTBOOKID_COLUMN_BITMASK;
		
		if (!_setOriginalGuestbookId) {
			_setOriginalGuestbookId = true;
			
			_originalGuestbookId = _guestbookId;
		}
		
		_guestbookId = guestbookId;
	}
	
	public long getOriginalGuestbookId() {
		return _originalGuestbookId;
	}
	
	@JSON
	@Override
	public int getStatus() {
		return _status;
	}
	
	@Override
	public void setStatus(int status) {
		_columnBitmask |= STATUS_COLUMN_BITMASK;
		
		if (!_setOriginalStatus) {
			_setOriginalStatus = true;
			
			_originalStatus = _status;
		}
		
		_status = status;
	}
	
	public int getOriginalStatus() {
		return _originalStatus;
	}
	
	@JSON
	@Override
	public long getStatusByUserId() {
		return _statusByUserId;
	}
	
	@Override
	public void setStatusByUserId(long statusByUserId) {
		_statusByUserId = statusByUserId;
	}
	
	@Override
	public String getStatusByUserUuid() throws SystemException {
		return PortalUtil.getUserValue(getStatusByUserId(), "uuid", _statusByUserUuid);
	}
	
	@Override
	public void setStatusByUserUuid(String statusByUserUuid) {
		_statusByUserUuid = statusByUserUuid;
	}
	
	@JSON
	@Override
	public String getStatusByUserName() {
		if (_statusByUserName == null) {
			return StringPool.BLANK;
		} else {
			return _statusByUserName;
		}
	}
	
	@Override
	public void setStatusByUserName(String statusByUserName) {
		_statusByUserName = statusByUserName;
	}
	
	@JSON
	@Override
	public Date getStatusDate() {
		return _statusDate;
	}
	
	@Override
	public void setStatusDate(Date statusDate) {
		_statusDate = statusDate;
	}
	
	@Override
	public StagedModelType getStagedModelType() {
		return new StagedModelType(PortalUtil.getClassNameId(Entry.class.getName()));
	}
	
	/**
	 * @deprecated As of 6.1.0, replaced by {@link #isApproved}
	 */
	@Override
	public boolean getApproved() {
		return isApproved();
	}
	
	@Override
	public boolean isApproved() {
		if (getStatus() == WorkflowConstants.STATUS_APPROVED) {
			return true;
		} else {
			return false;
		}
	}
	
	@Override
	public boolean isDenied() {
		if (getStatus() == WorkflowConstants.STATUS_DENIED) {
			return true;
		} else {
			return false;
		}
	}
	
	@Override
	public boolean isDraft() {
		if (getStatus() == WorkflowConstants.STATUS_DRAFT) {
			return true;
		} else {
			return false;
		}
	}
	
	@Override
	public boolean isExpired() {
		if (getStatus() == WorkflowConstants.STATUS_EXPIRED) {
			return true;
		} else {
			return false;
		}
	}
	
	@Override
	public boolean isInactive() {
		if (getStatus() == WorkflowConstants.STATUS_INACTIVE) {
			return true;
		} else {
			return false;
		}
	}
	
	@Override
	public boolean isIncomplete() {
		if (getStatus() == WorkflowConstants.STATUS_INCOMPLETE) {
			return true;
		} else {
			return false;
		}
	}
	
	@Override
	public boolean isPending() {
		if (getStatus() == WorkflowConstants.STATUS_PENDING) {
			return true;
		} else {
			return false;
		}
	}
	
	@Override
	public boolean isScheduled() {
		if (getStatus() == WorkflowConstants.STATUS_SCHEDULED) {
			return true;
		} else {
			return false;
		}
	}
	
	public long getColumnBitmask() {
		return _columnBitmask;
	}
	
	@Override
	public ExpandoBridge getExpandoBridge() {
		return ExpandoBridgeFactoryUtil.getExpandoBridge(getCompanyId(), Entry.class.getName(), getPrimaryKey());
	}
	
	@Override
	public void setExpandoBridgeAttributes(ServiceContext serviceContext) {
		ExpandoBridge expandoBridge = getExpandoBridge();
		
		expandoBridge.setAttributes(serviceContext);
	}
	
	@Override
	public Entry toEscapedModel() {
		if (_escapedModel == null) {
			_escapedModel = (Entry) ProxyUtil.newProxyInstance(_classLoader, _escapedModelInterfaces, new AutoEscapeBeanHandler(this));
		}
		
		return _escapedModel;
	}
	
	@Override
	public Object clone() {
		EntryImpl entryImpl = new EntryImpl();
		
		entryImpl.setUuid(getUuid());
		entryImpl.setEntryId(getEntryId());
		entryImpl.setGroupId(getGroupId());
		entryImpl.setCompanyId(getCompanyId());
		entryImpl.setUserId(getUserId());
		entryImpl.setUserName(getUserName());
		entryImpl.setCreateDate(getCreateDate());
		entryImpl.setModifiedDate(getModifiedDate());
		entryImpl.setName(getName());
		entryImpl.setEmail(getEmail());
		entryImpl.setMessage(getMessage());
		entryImpl.setGuestbookId(getGuestbookId());
		entryImpl.setStatus(getStatus());
		entryImpl.setStatusByUserId(getStatusByUserId());
		entryImpl.setStatusByUserName(getStatusByUserName());
		entryImpl.setStatusDate(getStatusDate());
		
		entryImpl.resetOriginalValues();
		
		return entryImpl;
	}
	
	@Override
	public int compareTo(Entry entry) {
		long primaryKey = entry.getPrimaryKey();
		
		if (getPrimaryKey() < primaryKey) {
			return -1;
		} else if (getPrimaryKey() > primaryKey) {
			return 1;
		} else {
			return 0;
		}
	}
	
	@Override
	public boolean equals(Object obj) {
		if (this == obj) {
			return true;
		}
		
		if (!(obj instanceof Entry)) {
			return false;
		}
		
		Entry entry = (Entry) obj;
		
		long primaryKey = entry.getPrimaryKey();
		
		if (getPrimaryKey() == primaryKey) {
			return true;
		} else {
			return false;
		}
	}
	
	@Override
	public int hashCode() {
		return (int) getPrimaryKey();
	}
	
	@Override
	public void resetOriginalValues() {
		EntryModelImpl entryModelImpl = this;
		
		entryModelImpl._originalUuid = entryModelImpl._uuid;
		
		entryModelImpl._originalGroupId = entryModelImpl._groupId;
		
		entryModelImpl._setOriginalGroupId = false;
		
		entryModelImpl._originalCompanyId = entryModelImpl._companyId;
		
		entryModelImpl._setOriginalCompanyId = false;
		
		entryModelImpl._originalName = entryModelImpl._name;
		
		entryModelImpl._originalGuestbookId = entryModelImpl._guestbookId;
		
		entryModelImpl._setOriginalGuestbookId = false;
		
		entryModelImpl._originalStatus = entryModelImpl._status;
		
		entryModelImpl._setOriginalStatus = false;
		
		entryModelImpl._columnBitmask = 0;
	}
	
	@Override
	public CacheModel<Entry> toCacheModel() {
		EntryCacheModel entryCacheModel = new EntryCacheModel();
		
		entryCacheModel.uuid = getUuid();
		
		String uuid = entryCacheModel.uuid;
		
		if ((uuid != null) && (uuid.length() == 0)) {
			entryCacheModel.uuid = null;
		}
		
		entryCacheModel.entryId = getEntryId();
		
		entryCacheModel.groupId = getGroupId();
		
		entryCacheModel.companyId = getCompanyId();
		
		entryCacheModel.userId = getUserId();
		
		entryCacheModel.userName = getUserName();
		
		String userName = entryCacheModel.userName;
		
		if ((userName != null) && (userName.length() == 0)) {
			entryCacheModel.userName = null;
		}
		
		Date createDate = getCreateDate();
		
		if (createDate != null) {
			entryCacheModel.createDate = createDate.getTime();
		} else {
			entryCacheModel.createDate = Long.MIN_VALUE;
		}
		
		Date modifiedDate = getModifiedDate();
		
		if (modifiedDate != null) {
			entryCacheModel.modifiedDate = modifiedDate.getTime();
		} else {
			entryCacheModel.modifiedDate = Long.MIN_VALUE;
		}
		
		entryCacheModel.name = getName();
		
		String name = entryCacheModel.name;
		
		if ((name != null) && (name.length() == 0)) {
			entryCacheModel.name = null;
		}
		
		entryCacheModel.email = getEmail();
		
		String email = entryCacheModel.email;
		
		if ((email != null) && (email.length() == 0)) {
			entryCacheModel.email = null;
		}
		
		entryCacheModel.message = getMessage();
		
		String message = entryCacheModel.message;
		
		if ((message != null) && (message.length() == 0)) {
			entryCacheModel.message = null;
		}
		
		entryCacheModel.guestbookId = getGuestbookId();
		
		entryCacheModel.status = getStatus();
		
		entryCacheModel.statusByUserId = getStatusByUserId();
		
		entryCacheModel.statusByUserName = getStatusByUserName();
		
		String statusByUserName = entryCacheModel.statusByUserName;
		
		if ((statusByUserName != null) && (statusByUserName.length() == 0)) {
			entryCacheModel.statusByUserName = null;
		}
		
		Date statusDate = getStatusDate();
		
		if (statusDate != null) {
			entryCacheModel.statusDate = statusDate.getTime();
		} else {
			entryCacheModel.statusDate = Long.MIN_VALUE;
		}
		
		return entryCacheModel;
	}
	
	@Override
	public String toString() {
		StringBundler sb = new StringBundler(33);
		
		sb.append("{uuid=");
		sb.append(getUuid());
		sb.append(", entryId=");
		sb.append(getEntryId());
		sb.append(", groupId=");
		sb.append(getGroupId());
		sb.append(", companyId=");
		sb.append(getCompanyId());
		sb.append(", userId=");
		sb.append(getUserId());
		sb.append(", userName=");
		sb.append(getUserName());
		sb.append(", createDate=");
		sb.append(getCreateDate());
		sb.append(", modifiedDate=");
		sb.append(getModifiedDate());
		sb.append(", name=");
		sb.append(getName());
		sb.append(", email=");
		sb.append(getEmail());
		sb.append(", message=");
		sb.append(getMessage());
		sb.append(", guestbookId=");
		sb.append(getGuestbookId());
		sb.append(", status=");
		sb.append(getStatus());
		sb.append(", statusByUserId=");
		sb.append(getStatusByUserId());
		sb.append(", statusByUserName=");
		sb.append(getStatusByUserName());
		sb.append(", statusDate=");
		sb.append(getStatusDate());
		sb.append("}");
		
		return sb.toString();
	}
	
	@Override
	public String toXmlString() {
		StringBundler sb = new StringBundler(52);
		
		sb.append("<model><model-name>");
		sb.append("com.liferay.docs.guestbook.model.Entry");
		sb.append("</model-name>");
		
		sb.append("<column><column-name>uuid</column-name><column-value><![CDATA[");
		sb.append(getUuid());
		sb.append("]]></column-value></column>");
		sb.append("<column><column-name>entryId</column-name><column-value><![CDATA[");
		sb.append(getEntryId());
		sb.append("]]></column-value></column>");
		sb.append("<column><column-name>groupId</column-name><column-value><![CDATA[");
		sb.append(getGroupId());
		sb.append("]]></column-value></column>");
		sb.append("<column><column-name>companyId</column-name><column-value><![CDATA[");
		sb.append(getCompanyId());
		sb.append("]]></column-value></column>");
		sb.append("<column><column-name>userId</column-name><column-value><![CDATA[");
		sb.append(getUserId());
		sb.append("]]></column-value></column>");
		sb.append("<column><column-name>userName</column-name><column-value><![CDATA[");
		sb.append(getUserName());
		sb.append("]]></column-value></column>");
		sb.append("<column><column-name>createDate</column-name><column-value><![CDATA[");
		sb.append(getCreateDate());
		sb.append("]]></column-value></column>");
		sb.append("<column><column-name>modifiedDate</column-name><column-value><![CDATA[");
		sb.append(getModifiedDate());
		sb.append("]]></column-value></column>");
		sb.append("<column><column-name>name</column-name><column-value><![CDATA[");
		sb.append(getName());
		sb.append("]]></column-value></column>");
		sb.append("<column><column-name>email</column-name><column-value><![CDATA[");
		sb.append(getEmail());
		sb.append("]]></column-value></column>");
		sb.append("<column><column-name>message</column-name><column-value><![CDATA[");
		sb.append(getMessage());
		sb.append("]]></column-value></column>");
		sb.append("<column><column-name>guestbookId</column-name><column-value><![CDATA[");
		sb.append(getGuestbookId());
		sb.append("]]></column-value></column>");
		sb.append("<column><column-name>status</column-name><column-value><![CDATA[");
		sb.append(getStatus());
		sb.append("]]></column-value></column>");
		sb.append("<column><column-name>statusByUserId</column-name><column-value><![CDATA[");
		sb.append(getStatusByUserId());
		sb.append("]]></column-value></column>");
		sb.append("<column><column-name>statusByUserName</column-name><column-value><![CDATA[");
		sb.append(getStatusByUserName());
		sb.append("]]></column-value></column>");
		sb.append("<column><column-name>statusDate</column-name><column-value><![CDATA[");
		sb.append(getStatusDate());
		sb.append("]]></column-value></column>");
		
		sb.append("</model>");
		
		return sb.toString();
	}
	
	private static ClassLoader _classLoader = Entry.class.getClassLoader();
	private static Class<?>[] _escapedModelInterfaces = new Class[] { Entry.class };
	private String _uuid;
	private String _originalUuid;
	private long _entryId;
	private long _groupId;
	private long _originalGroupId;
	private boolean _setOriginalGroupId;
	private long _companyId;
	private long _originalCompanyId;
	private boolean _setOriginalCompanyId;
	private long _userId;
	private String _userUuid;
	private String _userName;
	private Date _createDate;
	private Date _modifiedDate;
	private String _name;
	private String _originalName;
	private String _email;
	private String _message;
	private long _guestbookId;
	private long _originalGuestbookId;
	private boolean _setOriginalGuestbookId;
	private int _status;
	private int _originalStatus;
	private boolean _setOriginalStatus;
	private long _statusByUserId;
	private String _statusByUserUuid;
	private String _statusByUserName;
	private Date _statusDate;
	private long _columnBitmask;
	private Entry _escapedModel;
}